Subject: Re: [PATCH 2/4] In certbot documentation, call environment variables by their proper name.

From: Bruno Victal <[email-masked]>
Date: Sat, 16 Dec 2023 20:58:37 +0000

On 2023-11-27 21:20, Felix Lechner wrote:
> Certbot's hooks can be written in any language. in fact, they can be any kind
> of executable. Environment variables are widely used to communicate values
> across that type of fork(2) boundary. In the context here, it is more accurate
> to talk about environment variables.
> 
> Change-Id: If0b476c3367a3108d9365d718a74faa7d9fe7530
> ---
>  doc/guix.texi | 8 ++++----
>  1 file changed, 4 insertions(+), 4 deletions(-)
> 
> diff --git a/doc/guix.texi b/doc/guix.texi
> index b0b1c05c73..440a5f3efa 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -32139,24 +32139,24 @@ Certificate Services
>  
>  @item @code{authentication-hook} (default: @code{#f})
>  Command to be run in a shell once for each certificate challenge to be
> -answered.  For this command, the shell variable @code{$CERTBOT_DOMAIN}
> +answered.  For this command, the environment variable @code{$CERTBOT_DOMAIN}

[…]

>  will contain the domain being authenticated, @code{$CERTBOT_VALIDATION}

[…]

>  contains the validation string and @code{$CERTBOT_TOKEN} contains the

[…]

>  variables available in the @code{auth-hook} script are still available, and
>  additionally @code{$CERTBOT_AUTH_OUTPUT} will contain the standard output

[…]

>  @code{$RENEWED_LINEAGE} will point to the config live subdirectory (for
>  example, @samp{"/etc/letsencrypt/live/example.com"}) containing the new
> -certificates and keys; the shell variable @code{$RENEWED_DOMAINS} will
> +certificates and keys; the environment variable @code{$RENEWED_DOMAINS} will
>  contain a space-delimited list of renewed certificate domains (for
>  example, @samp{"example.com www.example.com"}.

The correct Texinfo @-command should be @env{CERTBOT_DOMAIN}, ….

Could you amend and send a v2 that addresses these issues as well?
Other than that, it LGTM.

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.